#include <VirtualWire.h>
#include <LiquidCrystal.h>
LiquidCrystal lcd(12, 10, 5, 4, 3, 2);
#include <dht11.h>
dht11 sensor;
#define DHT11PIN 8
#include <Wire.h> 
#include <BMP085.h>
BMP085 dps = BMP085();    
long Temperature = 0, Pressure = 0, Altitude = 0;
void setup()
{
  Serial.begin(9600);
  vw_set_ptt_inverted(true); // Необходимо для DR3100
  vw_setup(2000); // Задаем скорость приема
  vw_rx_start(); // Начинаем мониторинг эфира
  lcd.begin(16, 2);
  
  Wire.begin(); 
  delay(1000);
  dps.init();
//lcd.setCursor(14,0);
//lcd.write(byte(0));
//lcd.home();
}

void loop()
{
  uint8_t buf[VW_MAX_MESSAGE_LEN]; // Буфер для сообщения
  uint8_t buflen = VW_MAX_MESSAGE_LEN; // Длина буфера

  if (vw_get_message(buf, &buflen)) // Если принято сообщение
  {
    // Начинаем разбор
    int i;
    // Если сообщение адресовано не нам, выходим
    if (buf[0] != 'z')
    {
      return; 
    }
    char command = buf[2]; // Команда находится на индексе 2
    
    // Числовой параметр начинается с индекса 4
    i = 4; 
    int number = 0;
    // Посколько передача идет посимвольно, то нужно преобразовать набор символов в число
    while (buf[i] != ' ')
    {
      number *= 10;
      number += buf[i] - '0';
      i++;
    }
    dps.getPressure(&Pressure); 
    dps.getAltitude(&Altitude); 
    dps.getTemperature(&Temperature);
    //Serial.print(command);
    Serial.print(" ");
    Serial.println(number);
    lcd.print("T=");
    lcd.setCursor(2,0);
   lcd.print(number);
   lcd.setCursor(5,0);
   lcd.print("P=");
   lcd.print(Pressure/133.3);
   lcd.print("mmH");
   lcd.setCursor(0,1);
   lcd.print("T=");
   lcd.print(Temperature*0.1);
   lcd.print(" H=");
   lcd.print(sensor.humidity);
   lcd.home();
   //delay(2000);
   
   int chk = sensor.read(DHT11PIN);
   switch (chk)
  {
    case DHTLIB_OK: 
		//Serial.println("OK"); 
		break;
    case DHTLIB_ERROR_CHECKSUM: 
		//Serial.println("Checksum error"); 
		break;
    case DHTLIB_ERROR_TIMEOUT: 
		//Serial.println("Time out error"); 
		break;
    default: 
		//Serial.println("Unknown error"); 
		break;
  }
  }
}
