/*
Версия скетча 1.0
Отсылаем температуру каждые 10мин.

*/
#include <OneWire.h>
#include <DallasTemperature.h>
#include <VirtualWire.h>

#define ONE_WIRE_BUS 2 //Пин подключения датчика Даллас


OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);
DeviceAddress insideThermometer;

void setup(void)
{

  //Serial.begin(9600);
  vw_set_ptt_inverted(true); // Необходимо для DR3100
  vw_setup(2000); // Устанавливаем скорость передачи (бит/с)
  
  sensors.begin();

  if (!sensors.getAddress(insideThermometer, 0)); 
  
  printAddress(insideThermometer);
  sensors.setResolution(insideThermometer, 9);
 

}

void printTemperature(DeviceAddress deviceAddress)
{

  float tempC = sensors.getTempC(deviceAddress);
  //Serial.print("Temp C: ");
  
  //Serial.println(tempC);
 //Формирование данных для для отправки
 int number = tempC;

  char symbol = 'c'; //Служебный символ определения что это датчик
  
  String strMsg = "z ";
  strMsg += symbol;
  strMsg += " ";
  strMsg += number;
  strMsg += " "; 
  char msg[255];
  strMsg.toCharArray(msg, 255);
  vw_send((uint8_t *)msg, strlen(msg));
  vw_wait_tx(); // Ждем пока передача будет окончена
  delay(200);

}

void loop(void)
{ 
	
	for (int j=0; j <= 6; j++) {
  sensors.requestTemperatures(); 
  printTemperature(insideThermometer); 
  delay(600000);
  }

}

//Определение адреса
void printAddress(DeviceAddress deviceAddress)
{
  for (uint8_t i = 0; i < 8; i++)
  {
    if (deviceAddress[i] < 16); //Serial.print("0");
    //Serial.print(deviceAddress[i], HEX);
  }
}

